
public class Jugador {
	
	public Ficha[] fichas; 

	public int movimientos; 
	
    public int numHeuristica;
    
    public int nivelProfundidad;
    
//si esPC es true, el jugador es la maquina, si es false, el jugador mueve manualmente
    public boolean esPC;  


// Ultima ficha que se movio
    public int ultimaFicha; 

// Ultima casilla que se visito   
    public int ultimaCasilla; 
    
    public int numFichaTotal;
    
    public int tipomesa;
    
    //para el nivel de la partida
    public int nivel;
    
//Constructor inicial (le pasamos el numero del jugador)    
    public Jugador(int num, int tipotabl) 
    {
    	tipomesa = tipotabl;
    	//No ha sido ninguna
        ultimaFicha = -1; 
//No ha sido ninguna
        ultimaCasilla = -1; 

        numHeuristica = -1;
        nivelProfundidad = -1;
//De momento vamos a suponer siemrpe que es manual        
        esPC = false;  
        movimientos = 0;
        
        
        nivel = -1;
        
    	if (tipotabl == 1)
    	{
	        fichas = new Ficha[13];
	     	        
	        switch(num)
	        {
	            case 1:
	                fichas[0] = new Ficha(0);
	                fichas[1] = new Ficha(1);
	                fichas[2] = new Ficha(2);
	                fichas[3] = new Ficha(3);
	                fichas[4] = new Ficha(4);
	                fichas[5] = new Ficha(5);
	                fichas[6] = new Ficha(6);
	                fichas[7] = new Ficha(7);
	                fichas[8] = new Ficha(8);
	                fichas[9] = new Ficha(9);
	                fichas[10] = new Ficha(10);
	                fichas[11] = new Ficha(14);
	                
	                numFichaTotal=12;
	               
	                break;
	                
	            case 2:
	                                 
	                
	                //fichas[0] = new Ficha(17);
	                fichas[12] = new Ficha(17);
	                numFichaTotal=1;
	                
	                break;
	
	            default:
	                break;
	        }
    	}
    	
    	if (tipotabl == 2)
    	{
    		fichas = new Ficha[49];
 	        
	        switch(num)
	        {
	            case 1:
	                fichas[0] = new Ficha(0);
	                fichas[1] = new Ficha(1);
	                fichas[2] = new Ficha(2);
	                fichas[3] = new Ficha(3);
	                fichas[4] = new Ficha(4);
	                fichas[5] = new Ficha(5);
	                fichas[6] = new Ficha(6);
	                fichas[7] = new Ficha(7);
	                fichas[8] = new Ficha(8);
	                fichas[9] = new Ficha(9);
	                fichas[10] = new Ficha(10);
	                fichas[11] = new Ficha(11);
	                fichas[12] = new Ficha(12);
	                fichas[13] = new Ficha(13);
	                fichas[14] = new Ficha(14);
	                fichas[15] = new Ficha(15);
	                fichas[16] = new Ficha(16);
	                fichas[17] = new Ficha(17);
	                fichas[18] = new Ficha(18);
	                fichas[19] = new Ficha(19);
	                fichas[20] = new Ficha(20);
	                
	                
	                numFichaTotal=21;
	                
	                break;
	                
	            case 2:
	                
	            	fichas[21] = new Ficha(31);
	                numFichaTotal=1;
	                
	                break;
	
	            default:                    
	                //error;
	                break;
	        }
    	}
    	
    	if (tipotabl == 3)
    	{
    		fichas = new Ficha[49];
 	        
	        switch(num)
	        {
	            case 1:
	                
	            	fichas[0] = new Ficha(2);
	                fichas[1] = new Ficha(3);
	                fichas[2] = new Ficha(4);
	                fichas[3] = new Ficha(9);
	                fichas[4] = new Ficha(10);
	                fichas[5] = new Ficha(11);
	                fichas[6] = new Ficha(14);
	                fichas[7] = new Ficha(15);
	                fichas[8] = new Ficha(16);
	                fichas[9] = new Ficha(17);
	                fichas[10] = new Ficha(18);
	                fichas[11] = new Ficha(19);
	                fichas[12] = new Ficha(20);
	            
	                
	                numFichaTotal=13;
	                
	                break;
	                
	            case 2:
	                
	            	fichas[13] = new Ficha(38);
	                numFichaTotal=1;
	                
	                break;
	
	            default:                    
	                //error;
	                break;
	        }
    	}
    	if (tipotabl == 4)
    	{
	        fichas = new Ficha[13];
	     	        
	        switch(num)
	        {
	            case 1:
	                
	            	fichas[0] = new Ficha(0);
	                fichas[1] = new Ficha(1);
	                fichas[2] = new Ficha(2);
	                fichas[3] = new Ficha(3);
	                fichas[4] = new Ficha(4);
	                fichas[5] = new Ficha(5);
	                fichas[6] = new Ficha(6);
	                fichas[7] = new Ficha(7);
	                fichas[8] = new Ficha(8);
	                fichas[9] = new Ficha(9);
	                fichas[10] = new Ficha(10);
	                fichas[11] = new Ficha(14);
	                
	                numFichaTotal=12;
	                
	                break;
	                
	            case 2:
	                
	            	//fichas[0] = new Ficha(17);
	                fichas[12] = new Ficha(17);
	                numFichaTotal=1;
	                
	                break;
	
	            default:                    
	                break;
	        }
    	}
    	
    	if (tipotabl == 6)
    	{
    		fichas = new Ficha[49];
 	        
	        switch(num)
	        {
	            case 1:
	                
	            	fichas[0] = new Ficha(0);
	                fichas[1] = new Ficha(1);
	                fichas[2] = new Ficha(2);
	                fichas[3] = new Ficha(3);
	                fichas[4] = new Ficha(4);
	                fichas[5] = new Ficha(5);
	                fichas[6] = new Ficha(6);
	                fichas[7] = new Ficha(7);
	                fichas[8] = new Ficha(8);
	                fichas[9] = new Ficha(9);
	                fichas[10] = new Ficha(10);
	                fichas[11] = new Ficha(11);
	                fichas[12] = new Ficha(12);
	                fichas[13] = new Ficha(13);
	                fichas[14] = new Ficha(14);
	                fichas[15] = new Ficha(15);
	                fichas[16] = new Ficha(16);
	                fichas[17] = new Ficha(17);
	                fichas[18] = new Ficha(18);
	                fichas[19] = new Ficha(19);
	                fichas[20] = new Ficha(20);
	                
	                
	                numFichaTotal=21;
	                
	                break;
	                
	            case 2:
	                
	            	fichas[21] = new Ficha(31);
	                numFichaTotal=1;
	                
	                break;
	
	            default:                    
	                //error;
	                break;
	        }
    	}
    	
    	if (tipotabl == 5)
    	{
    		fichas = new Ficha[49];
 	        
	        switch(num)
	        {
	            case 1:
	               
	            	fichas[0] = new Ficha(2);
	                fichas[1] = new Ficha(3);
	                fichas[2] = new Ficha(4);
	                fichas[3] = new Ficha(9);
	                fichas[4] = new Ficha(10);
	                fichas[5] = new Ficha(11);
	                fichas[6] = new Ficha(14);
	                fichas[7] = new Ficha(15);
	                fichas[8] = new Ficha(16);
	                fichas[9] = new Ficha(17);
	                fichas[10] = new Ficha(18);
	                fichas[11] = new Ficha(19);
	                fichas[12] = new Ficha(20);
	            
	                
	                numFichaTotal=13;
	                
	                break;
	                
	            case 2:
	                
	            	fichas[13] = new Ficha(38);
	                numFichaTotal=1;
	                
	                break;
	
	            default:                    
	                break;
	        }
    	}
    }
    
    public void setHeuristica(int numHeuristica)
    {
    	this.numHeuristica = numHeuristica;
    }
    public void setProfundidad(int nivelProfundidad)
    {
    	this.nivelProfundidad = nivelProfundidad;
    }
    public void setNivel(int nivel)
    {
    	this.nivel = nivel;
    }

}
